windng
Check-in [9b2e9b9e05]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview
Comment:Make setup.py work with pip in python2.
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:9b2e9b9e05ca3e33d037065bef0c77685908970b
User & Date: goyo 2015-11-24 08:26:03
Context
2016-03-14
20:39
Test_write_wind() broken in dateutil 2.5.0 check-in: 116dd161d2 user: goyo tags: trunk
2015-11-24
08:26
Make setup.py work with pip in python2. check-in: 9b2e9b9e05 user: goyo tags: trunk
08:09
Make it work with pandas 0.17.1 check-in: da152f922f user: goyo tags: trunk
Changes
Hide Diffs Unified Diffs Ignore Whitespace Patch

Changes to setup.py.

74
75
76
77
78
79
80

81
82
83
84
85
86
87
88
        description='Wind data analysis library.',
        author=str('Goyo'),  # py2 bdist (msi) needs this to be a string.
        author_email='goyodiaz@gmail.com',
        version=version,
        url='http://chiselapp.com/user/goyo/repository/windng',
        # distutils (python 2.7.9) needs these to be str. Probably a bug.
        packages=[str('windng'), str('windng.plot'), str('windng.tkgui')],

        package_data={'windng': ['tkgui/icons/extremes_app.gif']},
        scripts=['scripts/wind_extremes'],
        requires=['numpy', 'pandas'],
        provides=['windng'],
        license='GPL v2',
        classifiers=[
            'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
            'Programming Language :: Python :: 2.7'







>
|







74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
        description='Wind data analysis library.',
        author=str('Goyo'),  # py2 bdist (msi) needs this to be a string.
        author_email='goyodiaz@gmail.com',
        version=version,
        url='http://chiselapp.com/user/goyo/repository/windng',
        # distutils (python 2.7.9) needs these to be str. Probably a bug.
        packages=[str('windng'), str('windng.plot'), str('windng.tkgui')],
        # looks like pip requires str here (python 2.7.9)
        package_data={str('windng'): ['tkgui/icons/extremes_app.gif']},
        scripts=['scripts/wind_extremes'],
        requires=['numpy', 'pandas'],
        provides=['windng'],
        license='GPL v2',
        classifiers=[
            'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
            'Programming Language :: Python :: 2.7'